Library Version 18.1.40

upper_bound
Prev | Chapter 6. Db_multimap | Next

## upper_bound

### Function Details

    const_iterator upper_bound(const key_type &x) const

Find the least key greater than x.

#### Parameters

##### x

The target key to find.

#### Return Value

The valid iterator sitting on the key, or an invalid one.

#### See Also

http://www.cplusplus.com/reference/map/multimap/upper_bound/

    iterator upper_bound(const key_type &x,
        bool readonly=false)

Find the least key greater than x.

#### Parameters

##### x

The target key to find.

##### readonly

Whether the returned iterator is readonly.

#### Return Value

The valid iterator sitting on the key, or an invalid one.

#### See Also

http://www.cplusplus.com/reference/map/multimap/upper_bound/

### Group: Searching Functions

See of db_map's searching functions group for details about iterator, function version and parameters.

db_map

### Class

db_multimap

Prev | Up | Next
count | Home | db_multimap